/*
 * Java
 *
 * Copyright 2015-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.allocator;

public interface MemoryBlock {

	/**
	 * Get the size in bytes.
	 */
	public int getSize();

	/**
	 * @return <code>true<code> on success, <code>false<code> on error
	 */
	public boolean copyFrom(byte[] src, int srcOffset, int dstOffset, int length);

	public void copyTo(int srcOffset, byte[] dst, int dstOffset, int length);

	public long getAddress();

}
