/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.input;

public interface ErrorMessagesConstants {

	// Elf loader errors
	int MaxMessages					 			= 5;

	int ElfLoaderErrorInvalidHeader 			= 0;
	int ElfLoaderErrorUnknownSectionType 		= 1;
	int ElfLoaderErrorInconsistentLibrary 		= 2;
	int ElfLoaderUnknownRelocationCode 			= 3;
	int ElfLoaderErrorUnsupportedArchitecture	= 4;
	int ElfLoaderErrorInvalidHeaderType			= 5;
	int ExpectedASymbolTableSection				= 6;
	int ExpectedOnlyOneSymbolTableSection		= 7;
	int WrongExpectedEntrySize = 8;


	int InternalWrong_ident_class 	= 1;
	int InternalWrong_ident_data 	= 2;
	int InternalWrong_ident_version = 3;
	int InternalWrong_version 		= 4;
}
