/**
 * Java
 *
 * Copyright 2008-2013 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.nodes;

/**
 * Relocation node for a relocation entry : target specific
 */
public abstract class RelocationNode{

	public RelocationEntry entry;
	
	public RelocationNode(RelocationEntry entry){
		this.entry = entry;
	}	
	
	/**
	 * Extract the addend from the targeted instruction
	 */
	public abstract int getInitialAddend(ProgSection targetSection, boolean lsbAndNotMsb);

	public abstract void setAddend(ProgSection targetSection, boolean lsbAndNotMsb, int newAddend) ;
	
	public abstract String toString() ;

}
