/*
 * Java
 *
 * Copyright 2019 MicroEJ Corp. All rights reserved.
 * MicroEJ Corp. PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.kf;

import ej.kf.Feature;

/**
 * Native methods implemented by S3.
 */
public class DynamicLoaderNatives {

	public static native int openDynamicFeatureTransfer();

	public static native int closeDynamicFeatureTransfer(int id);

	public static native void transferDynamicFeature(int id, byte[] data, int length);

	public static native boolean unloadDynamicFeature(Feature feature);
}
