@rem BATCH
@rem
@rem Copyright 2020-2023 MicroEJ Corp. All rights reserved.
@rem This library is provided in source code for use, modification and test, subject to license terms.
@rem Any modification of the source code will break MicroEJ Corp. warranties on the whole library.

@ECHO OFF

rem check if java command exists 
java -version

IF /I "%ERRORLEVEL%" NEQ "0" (
	echo =========================================
	echo =========================================
	echo Cannot found the java command.
	echo Please install it.
	echo =========================================
	echo =========================================
	pause
	exit
)

echo MicroEJ Virtual Device is being launched. Relax and enjoy
echo:

SET ANT_HOME=%cd%\tools\ant
java -cp "tools\ant\lib\*" org.apache.tools.ant.Main -buildfile s3Standalone.microejLaunch