/*
 * Java
 *
 * Copyright 2008-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.input;

public class ErrorMessages implements ErrorMessagesConstants{

	public static String[] messages;
	static{
		// --- Elf specific errors
		messages = new String[MaxMessages];
		messages[ElfLoaderErrorInvalidHeader] = "Invalid header.";
		messages[ElfLoaderErrorUnknownSectionType] = "Invalid section type (\\0, type=\\1).";
		messages[ElfLoaderErrorInconsistentLibrary] = "Inconsistent library (code=\\0).";
		messages[ElfLoaderUnknownRelocationCode] = "Unknown relocation code (\\0).";
	}

}
