/*
 * Java
 *
 * Copyright 2021-2022 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.is2t.elflw.input.soar.nodes;

import com.is2t.elflw.ElfGenerator;
import com.is2t.elflw.nodes.RelocationSection;

/**
 * SOAR specific relocations section
 */
public class RelocationSectionSoar extends RelocationSection{

	public RelocationSectionSoar(int alignment, byte[] data) {
		super(alignment, false, data);
	}
	
	public void generateUsing(ElfGenerator gen) {
		((ElfGeneratorSoar)gen).generateSoarRelocationSection(this);
	}
}
